# containers.podman.podman_volume_info – Gather info about podman volumes

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_volume_info`.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

## Synopsis

- Gather info about podman volumes with podman inspect command.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
name string |  | Name of the volume

## Examples

    - name: Gather info about all present volumes
      podman_volume_info:

    - name: Gather info about specific volume
      podman_volume_info:
        name: specific_volume

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
volumes list / elements=string | always | Facts from all or specified volumes Sample: [{'driver': 'local', 'labels': {}, 'mountPoint': '/home/ansible/.local/share/testvolume/_data', 'name': 'testvolume', 'options': {}, 'scope': 'local'}]

### Authors

- Sagi Shnaidman (@sshnaidm)